[Solved] Kali beef-xss startup error: cannot load such file — rubyeventmachine (LoadError)

kali Linux comes with the BEEF framework, and after a long time on hold it starts with the error:

[email protected]:/usr/share/beef-xss# ./beef

Traceback (most recent call last):

14: from ./beef:32:in `<main>’

13: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’

12: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’

11: from /usr/share/beef-xss/core/loader.rb:16:in `<top (required)>’

10: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’

9: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’

8: from /usr/lib/ruby/vendor_ruby/rubydns.rb:23:in `<top (required)>’

7: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’

6: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’

5: from /usr/lib/ruby/vendor_ruby/rubydns/message.rb:21:in `<top (required)>’

4: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’

3: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’

 

2: from /usr/lib/ruby/vendor_ruby/eventmachine.rb:8:in `<top (required)>’

1: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’

/usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require’: cannot load such file — rubyeventmachine (LoadError)

 

Solution:

uninstall beef,ruby

#apt remove ruby

#apt remove beef-xss

#apt-get install ruby

#apt-get install ruby-dev libpcap-dev

#gem install eventmachine

#apt-get install beef-xss

Done! restart BEEF, it is OK.

Similar Posts: